Download it now!
Bug 104789 - FILESAVE: PPTX: Corrupted File after RT (The attribute 'val' is not declared)
Summary: FILESAVE: PPTX: Corrupted File after RT (The attribute 'val' is not declared)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2016-12-19 16:58 UTC by Xisco Faulí
Modified: 2018-03-20 09:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-12-19 16:58:07 UTC
Steps:
1. Open attachment 58046 [details] from bug 46987
2. Save it as a new .PPTX
3. Open the new .PPTX file in MSO PowerPoint

Error Node Type: Gamma/InverseGamma
Error Description: The attribute 'val' is not declared

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 53edf60c4ce6ed32f87471e018878c40b788005a
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-18_06:57:59
Locale: es-ES (es_ES); Calc: group
Comment 1 Buovjaga 2016-12-20 09:59:51 UTC
Repro.

Win 8.1 32-bit
MSO 2013
LibO Version: 5.4.0.0.alpha0+
Build ID: 52853b53494e1e51d71ccdb54afd7a4f16fba93c
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-19_23:19:20
Locale: fi-FI (fi_FI); Calc: group
Comment 2 QA Administrators 2017-12-21 03:37:03 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2018-03-16 08:09:31 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=064ad89c0e929cab771c6bda38bad5637db00575

tdf#104789 Export opacity attribute name

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-03-20 09:01:35 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22c7c0ad1add30dcb4190f88bbee28bd9ec5afa8&h=libreoffice-6-0

tdf#104789 Export opacity attribute name

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.